coverage:gcc10-seq-coverage:
  image: localhost:5000/ubuntu_gcc10
  stage: coverage
  needs: []
  script:
    - mkdir -p build/gcc10-cov
    - cd build/gcc10-cov
    - CXX=g++-10 CC=gcc-10 cmake ../.. -DCMAKE_BUILD_TYPE=Coverage
    - make -j 4
  cache:
    key: "${CI_COMMIT_REF_SLUG}-gcc10-cov"
    paths:
      - build/gcc10-cov
    untracked: true
  coverage: '/^\s*Total:\|(\d*\.\d|\d*)\%.*$/'
